<id>
Collapse/Expand Thread Icons and User Pemissions
</id>

<version>
1.2
</version>

<mod info>
This mod allows users/guests to collapse/expand Thread Icons and User Permissions.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode. 

Admin/ModList.pl (ASCII)
Languages/English/MessageIndex.lng (ASCII)
Sources/MessageIndex.pl (ASCII)
Templates/default/MessageIndex.template (ASCII)

yabbfiles/Templates/Forum/default/iconslayer_down.gif (Binary)
yabbfiles/Templates/Forum/default/iconslayer_up.gif (Binary)

-----------------------------------------------------------------------------------------------
add in Style Sheet where you want

.iconrules {
	border-bottom-color: #C2C6CF;
	border-left-color: #C2C6CF;
	border-right-color: #C2C6CF;
	border-style: solid;
	border-top-color: #C2C6CF;
	border-width: 1px;
	padding: 5px;
	margin: 5px;
}

-----------------------------------------------------------------------------------------------
Mod History:
Status Collapse/Expand Thread Icons and User Pemissions V1.1 (November 20th 2007)
- Update for YaBB 2.2

Status Collapse/Expand Thread Icons and User Pemissions V1.2 (October 14th 2008)
- Update for YaBB 2.3
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.yabbworld.com
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$yabbiconslayer = "Collapse/Expand Thread Icons and your Pemission|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a> and Jeffrey Man (<a href=\"http://www.yabbworld.com\" target=\"_blank\">Jet Li</a>)|This mod allows users/guests to collapse/expand Thread Icons and your Permission Info.|1.2|October 14th 2008";
	push (@installed_mods, "$yabbiconslayer");
</add before>

<edit file>
Languages/English/MessageIndex.lng
</edit file>

<search for>
'845' => 'Moved Topic',
</search for>

<add after>
'902' => 'Thread Icons and User Permissions',
</add after>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
$yabbicons = qq~
	<img src="$imagesdir/thread.gif" alt="$messageindex_txt{'457'}" title="$messageindex_txt{'457'}" /> $messageindex_txt{'457'}<br />
	<img src="$imagesdir/sticky.gif" alt="$messageindex_txt{'779'}" title="$messageindex_txt{'779'}" /> $messageindex_txt{'779'}<br />
	<img src="$imagesdir/locked.gif" alt="$messageindex_txt{'456'}" title="$messageindex_txt{'456'}" /> $messageindex_txt{'456'}<br />
	<img src="$imagesdir/stickylock.gif" alt="$messageindex_txt{'456'}" title="$messageindex_txt{'780'}" /> $messageindex_txt{'780'}<br />
	<img src="$imagesdir/locked_moved.gif" alt="$messageindex_txt{'845'}" title="$messageindex_txt{'845'}" /> $messageindex_txt{'845'}<br />
~;
	if (($iamadmin || $iamgmod || $iammod) && $sessionvalid == 1) {
		$yabbadminicons = qq~<img src="$imagesdir/hide.gif" alt="$messageindex_txt{'458'}" title="$messageindex_txt{'458'}" /> $messageindex_txt{'458'}<br />~;
		$yabbadminicons .= qq~<img src="$imagesdir/hidesticky.gif" alt="$messageindex_txt{'459'}" title="$messageindex_txt{'459'}" /> $messageindex_txt{'459'}<br />~;
		$yabbadminicons .= qq~<img src="$imagesdir/hidelock.gif" alt="$messageindex_txt{'460'}" title="$messageindex_txt{'460'}" /> $messageindex_txt{'460'}<br />~;
		$yabbadminicons .= qq~<img src="$imagesdir/hidestickylock.gif" alt="$messageindex_txt{'461'}" title="$messageindex_txt{'461'}" /> $messageindex_txt{'461'}<br />~;
	}
$yabbadminicons .= qq~
	<img src="$imagesdir/announcement.gif" alt="$messageindex_txt{'779a'}" title="$messageindex_txt{'779a'}" /> $messageindex_txt{'779a'}<br />
	<img src="$imagesdir/announcementlock.gif" alt="$messageindex_txt{'779b'}" title="$messageindex_txt{'779b'}" /> $messageindex_txt{'779b'}<br />
	<img src="$imagesdir/hotthread.gif" alt="$messageindex_txt{'454'} $HotTopic $messageindex_txt{'454a'}" title="$messageindex_txt{'454'} $HotTopic $messageindex_txt{'454a'}" /> $messageindex_txt{'454'} $HotTopic $messageindex_txt{'454a'}<br />
	<img src="$imagesdir/veryhotthread.gif" alt="$messageindex_txt{'455'} $VeryHotTopic $messageindex_txt{'454a'}" title="$messageindex_txt{'455'} $VeryHotTopic $messageindex_txt{'454a'}" /> $messageindex_txt{'455'} $VeryHotTopic $messageindex_txt{'454a'}<br />
~;

	&LoadAccess;
</search for>

<add after>
$yabbiconslayer = qq~
<a href="javascript:void(0);" onclick="enabRules();">$messageindex_txt{'902'}</a> <img name="imgrules" id="imgrules" alt="" src="$imagesdir/iconslayer_down.gif" border="0" />
<script language="JavaScript1.2" type="text/javascript">
<!--
var autorules = true;
function enabRules() {
	if ( autorules == false ) {
		autorules = true;
		document.getElementById("iconrules").style.display = "none";
		document.images.imgrules.src="$imagesdir/iconslayer_down.gif";
	} else {
		autorules = false;
		document.getElementById("iconrules").style.display = "";
		document.images.imgrules.src="$imagesdir/iconslayer_up.gif";
	}
}
//-->
</script>
~;
</add after>

<search for>
	$messageindex_template =~ s/({|<)yabb icons(}|>)/$yabbicons/g;
</search for>

<add before>
	$messageindex_template =~ s/({|<)yabb yabbiconslayer(}|>)/$yabbiconslayer/g;
</add before>

<edit file>
Templates/default/MessageIndex.template
</edit file>

<search for>
<!-- Icon and access info start -->

<table width="100%" cellspacing="0" cellpadding="8">
<tr>
	<td width="28%" valign="top">
		<span class="small">{yabb icons}</span>
	</td>
	<td width="38%" valign="top">
		<span class="small">{yabb admin icons}</span>
	</td>
	<td width="33%" valign="top">
		<span class="small">{yabb access}</span>
	</td>
</tr>
</table>

<!-- Icon and access info end -->
</search for>

<replace>
<!-- Icon and access info start -->
<div class="iconrules">
{yabb yabbiconslayer}
<div id="iconrules" style="display: none;">
      <table cellpadding="4" cellspacing="0" border="0" width="100%">
      <tr>
      <td width="28%" valign="top"><span class="small">{yabb icons}&nbsp;</span></td>
      <td width="38%" valign="top"><span class="small">{yabb admin icons}&nbsp;</span></td>
      <td width="33%" valign="top"><span class="small">{yabb access}&nbsp;</span></td>
      </tr>
      </table>
</div>
</div>
<!-- Icon and access info end -->
</replace>

<edit file>
Templates/yabb21/MessageIndex.template
</edit file>

<search for>
<!-- Icon and access info start -->

<table width="100%" cellspacing="0" cellpadding="8">
<tr>
	<td width="28%" valign="top">
		<span class="small"><yabb icons></span>
	</td>
	<td width="38%" valign="top">
		<span class="small"><yabb admin icons></span>
	</td>
	<td width="33%" valign="top">
		<span class="small"><yabb access></span>
	</td>
</tr>
</table>

<!-- Icon and access info end -->
</search for>

<replace>
<!-- Icon and access info start -->
<div class="iconrules">
<yabb yabbiconslayer>
<div id="iconrules" style="display: none;">
      <table cellpadding="4" cellspacing="0" border="0" width="100%">
      <tr>
      <td width="28%" valign="top"><span class="small"><yabb icons>&nbsp;</span></td>
      <td width="38%" valign="top"><span class="small"><yabb admin icons>&nbsp;</span></td>
      <td width="33%" valign="top"><span class="small"><yabb access>&nbsp;</span></td>
      </tr>
      </table>
</div>
</div>
<!-- Icon and access info end -->
</replace>